1. MiniPOS Shift Data API
UCS MiniPOS API - PUBLIC
  • MIDserver
    • MiniPOS Invoice API
      • ValidateInvoice
      • New Sales Invoice - Basic
      • New Refund Invoice - Basic
      • New Sales Invoice - Advanced
      • New Sales Invoice + Slip after payment
      • New Non fiscal slip
      • Get Invoice List
      • Get Invoice by ID
  • CRMserver
    • MiniPOS Products API
      • GET Products List
      • GET Product by ID
      • DELETE Product by ID
      • Change Product by ID
      • Create new Product Basic
      • Create new Product Advanced
    • MiniPOS Categories API
      • Create new Category
    • MiniPOS Shift Data API
      • GET shifts
        GET
      • GET receipts
        GET
  1. MiniPOS Shift Data API

GET shifts

GET
/api/shifts

Request

Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/shifts?station_id=1&z_number_from=2&z_number_to=3'
Response Response Example
[
    {
        "id": 1,
        "z_number": 2,
        "start_date": "2025-08-20T11:35:54.027643+03:00",
        "close_date": "2025-08-20T11:39:22.934152+03:00",
        "grand_total": 10,
        "station": 1,
        "station_name": "POS1",
        "station_pos_id": "1",
        "station_chassis_id": "99888888",
        "start_employee": 2,
        "start_employee_name": "Manager",
        "close_employee": 2,
        "close_employee_name": "Manager",
        "common_shift": 1,
        "local_id": 1
    },
    {
        "id": 2,
        "z_number": 3,
        "start_date": "2025-08-20T11:39:32.403429+03:00",
        "close_date": "2025-08-20T11:39:38.746952+03:00",
        "grand_total": 21,
        "station": 1,
        "station_name": "POS1",
        "station_pos_id": "1",
        "station_chassis_id": "99888888",
        "start_employee": 2,
        "start_employee_name": "Manager",
        "close_employee": 2,
        "close_employee_name": "Manager",
        "common_shift": 2,
        "local_id": 2
    }
]
Modified at 2026-04-15 12:52:15
Previous
Create new Category
Next
GET receipts
Built with